package main

import (
	"log"
)

func main() {
	var config Config
	var err error

	err = GetConfig(&config)
	if err != nil {
		log.Fatal(err)
	}

	err = GetGogsUserUID(&config)
	if err != nil {
		log.Fatal(err)
	}

	repolist, err := GetReposFromGitHub(&config)
	if err != nil {
		log.Fatal(err)
	}

	RunMigration(&config, repolist)
}
